﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Target : MonoBehaviour {

    GameScript _gameScript;

    private SpriteRenderer _myRenderer;

    void Awake()
    {
        _myRenderer = GetComponent<SpriteRenderer>();
    }

    // Use this for initialization
    void Start () {
        GameObject gameController = GameObject.FindWithTag("GameController");
        if (gameController != null)
        {
            _gameScript = gameController.GetComponent<GameScript>();
        }
        if (_gameScript == null)
        {
            Debug.Log("Cannot find 'GameController' script");
        }
    }
	
	// Update is called once per frame
	void Update () {
		
	}

    private void OnTriggerEnter2D(Collider2D collision)
    {
        _gameScript.AddPointToScore();
        Destroy(collision.gameObject);
        //StartCoroutine(ShakeBox());
    }

    float amount = 0.2f;
    private IEnumerator ShakeBox()
    {
        for (int x = 0; x < 360; x+=10)
        {
            transform.position += new Vector3(Mathf.Sin(x * amount), 0);
            yield return null;
        }
        //transform.position.x = Mathf.Sin(Time.time * speed);
        
    }

}
